package com.happy.service;

import com.happy.Model.HotelCoupon;
import com.happy.dto.IPage;

import java.util.List;

public interface HotelCoupomService {

    /**
     * 描述：新增
     * @param hotelCoupon
     * @return
     */
    int insert(HotelCoupon hotelCoupon);

    /**
     * 描述：修改
     * @param hotelCoupon
     * @return
     */
    int update(HotelCoupon hotelCoupon);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delete(Integer id);

    /**
     * 描述：根据id查询
     * @param id
     * @return
     */
    HotelCoupon getById(String id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<HotelCoupon> queryPage(String sqlx, int page, int rows);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<HotelCoupon> queryList(String sqlx);

    int updateExpire();

    int updateLapse(List<String> coupomIds);
}
